<?php
/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|      Limgrey Theme for PHP-Fusion v6       |
|---------------------------------------------|
| author: Trix-Themes - Trix  2006           |
| web: http://trix-themes.phpfusion-au.com    |
| email: trixsupport@gmail.com                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

// theme settings
$body_text = "#FFFFFF";
$body_bg = "#666666";
$theme_width = "75%";
$theme_width_l = "190";
$theme_width_r = "190";

function render_header($header_content) {

global $theme_width,$settings;

	echo "<table align='center' border='0' cellpadding='0' cellspacing='0' width='$theme_width'>";
	echo "<img src='".THEME."images/pixel.gif' height='5'>";
	echo "<table align='center' border='0' cellpadding='0' cellspacing='0' width='$theme_width'>";
	echo "<tr><td width='5' height='25'><img src='".THEME."images/nav_left.gif' width='5' height='25'></td>";
	echo "<td width='75%' height='25' style='background-image:url(".THEME."images/nav_center.gif)'>";
	echo showsublinks("&middot;","white")."</td>";
	echo "<td align='right' width='25%' height='25' style='background-image:url(".THEME."images/nav_center.gif)'>";
	echo "<td width='5' height='25'><img src='".THEME."images/nav_right.gif' width='5' height='25'></td></tr></table><br>";
	echo "<table width='$theme_width' cellspacing='0' cellpadding='0' align='center'>";
  	echo "<tr>
    <td width='9' height='19'><img src='".THEME."images/banner_topl.gif' width='9' height='19' /></td>
    <td colspan='2' style='background-image:url(".THEME."images/banner_topm.gif)'>
    <td width='7' height='19'><img src='".THEME."images/banner_topr.gif' width='7' height='19' /></td>
  </tr>
  <tr>
    <td width='9' height='75'><img src='".THEME."images/banner_botl.gif' width='9' height='75' /></td>
    <td width='223' height='75'><img src='".THEME."images/banner.gif' width='223' height='75' /></td>
    <td width='100%'style='background-image:url(".THEME."images/banner_botm.gif)'>
    <td height='19'><img src='".THEME."images/banner_botr.gif' width='7' height='75' /></td>
  </tr>
</table>";
	echo "<table align='center' cellspacing='0' cellpadding='0' width='$theme_width'>\n<tr>\n";
}

function render_footer($license=false) {

global $theme_width,$locale,$settings;

	echo "<table align='center' cellspacing='0' cellpadding='0' width='$theme_width'>";
	echo "<tr><td align='right'><img src='".THEME."images/blank.gif' width='14' height='34'>".showcopyright()."<br><br>";
	echo "<tr><td align='right'>".showcounter()."</td></tr>";
	echo "<tr><td align='right'><a target='_blank' href='http://trix-themes.phpfusion-au.com'><img src='".THEME."images/trix-themes.gif' title='Trix-Themes'></a></td></tr>";
}

function render_news($subject, $news, $info) {

global $locale;
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='14' height='34' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'>$subject</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='34' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' width='14' height='1' alt='' style='display:block'></td>";
	echo "<td class='main-body'><div style='width:100%;vertical-align:top;'>$news</div>";
	echo "<div style='margin-top:5px'>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<br><br><td class='news-footer' align='right'>";
	echo openform("N",$info['news_id']).newsposter($info," &middot;").newsopts($info,"&middot;").closeform("N",$info['news_id']);
	echo "</td></tr></table></div></td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'>";
	echo "</td></tr><tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='14' height='14' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='14' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='14' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function render_article($subject, $article, $info) {
	
global $locale;

	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='28' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'>$subject</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='28' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block'></td>";
	echo "<td class='main-body'><div style='width:100%;vertical-align:top;'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>";
	echo "<div style='margin-top:5px'>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='infobar'>".articleposter($info)."</td>";
	echo "<td align='right' class='infobar2'>";
	echo openform("A",$info['article_id']).articleopts($info,"&middot;").closeform("A",$info['article_id']);
	echo "</td></tr></table></div></td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block'></td>";
	echo "</tr><tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='7' height='7' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='7' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='7' height='7' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function opentable($title) {

	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td class='panel-left'><img src='".THEME."images/blank.gif' width='14' height='34' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'>$title</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='34' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' width='14' height='1' alt='' style='display:block'></td>";
	echo "<td class='main-body'>\n";
}

function closetable() {

	echo "</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='14' height='14' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='14' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='14' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function openside($title) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='14' height='34' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'>$title</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='34' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' width='14' height='1' alt='' style='display:block'></td>";
	echo "<td class='side-body'>\n";
}

function closeside() {

	echo "</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='14' height='14' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='14' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='14' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function opensidex($title,$open="on") {

	$boxname = str_replace(" ", "", $title);
	$box_img = $open == "on" ? "off" : "on";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='28' alt='' style='display:block'></td>";
	echo "<td class='panel-main'>$title</td>";
	echo "<td align='right' class='panel-main'><img src='".THEME."images/panel_$box_img.gif' name='b_$boxname' alt='' onclick=\"javascript:flipBox('$boxname')\"></td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='28' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block'></td>";
	echo "<td class='side-body'>";
	echo "<div id='box_$boxname'".($open=="off" ? "style='display:none'" : "").">\n";
}

function closesidex() {

	echo "</div>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='7' height='7' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='7' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='7' height='7' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function tablebreak() {

	echo "<table width='100%' cellspacing='0' cellpadding='0'><tr><td height='5'>";
	echo "</td></tr></table>\n";
}
?>